Revoke a Document Signer
Roles
Analytics Events
/v2/credentials/mobile/document-signers/{documentSignerId}/revokeRevokes an existing Document Signer, making it unusable for signing new mDocs.
If the verifier checks the CRL referenced in the IACA certificate, it must treat revoked Document Signers and any mDocs they signed as untrusted.
Analytic events
- MOBILE_CREDENTIAL_DOCUMENT_SIGNER_REVOKE_START
- MOBILE_CREDENTIAL_DOCUMENT_SIGNER_REVOKE_SUCCESS
- MOBILE_CREDENTIAL_DOCUMENT_SIGNER_REVOKE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Document Signer identifier
uuidRequest Body
application/json
Empty request body for document signer revocation
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v2/credentials/mobile/document-signers/497f6eca-6276-4993-bfeb-53cbbbba6f08/revoke" \ -H "Content-Type: application/json" \ -d '{}'{
"revoked": true,
"revocationDate": "2025-10-31T23:59:59Z"
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Create a Document Signer POST
Creates a new Document Signer that can be used to sign new mDocs. - Only available in implementations using unmanaged (external) IACAs. - A maximum of five Document Signers can be created per tenant. ### **Analytic events** * MOBILE_CREDENTIAL_DOCUMENT_SIGNER_CREATE_START * MOBILE_CREDENTIAL_DOCUMENT_SIGNER_CREATE_SUCCESS * MOBILE_CREDENTIAL_DOCUMENT_SIGNER_CREATE_FAIL
Retrieve all Document Signers GET
Retrieves all existing Document Signers from the tenant. ### **Analytic events** * MOBILE_CREDENTIAL_DOCUMENT_SIGNER_RETRIEVE_LIST_START * MOBILE_CREDENTIAL_DOCUMENT_SIGNER_RETRIEVE_LIST_SUCCESS * MOBILE_CREDENTIAL_DOCUMENT_SIGNER_RETRIEVE_LIST_FAIL